package cn.newfeifan.mall.module.distri.controller.admin.consumptionerroruser.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 消费分异动用户分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ConsumptionErrorUserPageReqVO extends PageParam {

    @Schema(description = "异动日志编号", example = "10657")
    private Long consumptionErrorLogId;

    @Schema(description = "用户编号", example = "25907")
    private Long userId;

    @Schema(description = "用户名", example = "张三")
    private String userName;

    @Schema(description = "累加消费分总额")
    private Long consumptionPointsTotal;

    @Schema(description = "目前消费分总额")
    private Long nowConsumptionPointsTotal;

    @Schema(description = "可用消费分")
    private Long currentConsumptionPointsTotal;

    @Schema(description = "已用消费分")
    private Long usedConsumptionPointsTotal;

    @Schema(description = "已转让消费分")
    private Long transferConsumptionPointsTotal;

    @Schema(description = "异动消费分差额")
    private Long errorConsumptionPointsTotal;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}