package cn.newfeifan.mall.module.distri.controller.admin.dailyawardrecords.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 每日用户获得合赢奖记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DailyAwardRecordsRespVO {

    @Schema(description = "奖励记录ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "20923")
    @ExcelProperty("奖励记录ID")
    private Long id;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1755")
    @ExcelProperty("用户编号")
    private Long userId;

    @Schema(description = "奖励金额，必填", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("奖励金额，必填")
    private Long amount;

    @Schema(description = "是否已结算，默认为未结算", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否已结算，默认为未结算")
    private Boolean settled;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "日志Id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16092")
    @ExcelProperty("日志Id")
    private Long logId;

}