package cn.newfeifan.mall.module.distri.controller.admin.ptdailybill.vo;

import lombok.*;

import java.time.LocalDate;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台每日账单统计分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PtDailyBillPageReqVO extends PageParam {

    @Schema(description = "金额，单位：分", example = "24178")
    private Long price;

    @Schema(description = "确收金额，单位：分", example = "4933")
    private Long receivedPrice;

    @Schema(description = "订单数，默认为0", example = "24153")
    private Long orderCount;

    @Schema(description = "退款金额, 单位: 分", example = "25468")
    private Long refundPrice;

    @Schema(description = "积分")
    private Long integral;

    @Schema(description = "确收积分")
    private Long receivedIntegral;

    @Schema(description = "退款积分")
    private Long refundIntegral;

    @Schema(description = "订单所属日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] orderCalcTime;

    @Schema(description = "订单ID列表，文本类型")
    private String orderIds;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "消费分")
    private Long consumptionPoints;

    @Schema(description = "确收消费分")
    private Long receivedConsumptionPoints;

    @Schema(description = "退款消费分")
    private Long refundConsumptionPoints;
}