package cn.newfeifan.mall.module.distri.dal.dataobject.consumptionerrorlog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 消费分异动日志记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_consumption_error_log")
@KeySequence("distri_consumption_error_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConsumptionErrorLogDO extends BaseDO {

    /**
     * 异动日志编号
     */
    @TableId
    private Long id;
    /**
     * 异动用户数量
     */
    private Integer errorUsersCount;
    /**
     * 异动消费分总额
     */
    private Long errorConsumptionPointsTotal;

}