package cn.newfeifan.mall.module.distri.dal.dataobject.consumptionerroruser;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 消费分异动用户 DO
 *
 * @author 非繁人
 */
@TableName("distri_consumption_error_user")
@KeySequence("distri_consumption_error_user_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConsumptionErrorUserDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 异动日志编号
     */
    private Long consumptionErrorLogId;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 累加消费分总额
     */
    private Long consumptionPointsTotal;
    /**
     * 目前消费分总额
     */
    private Long nowConsumptionPointsTotal;
    /**
     * 可用消费分
     */
    private Long currentConsumptionPointsTotal;
    /**
     * 已用消费分
     */
    private Long usedConsumptionPointsTotal;
    /**
     * 已转让消费分
     */
    private Long transferConsumptionPointsTotal;

    /**
     * 异动消费分差额
     */
    private Long errorConsumptionPointsTotal;

}