package cn.newfeifan.mall.module.product.controller.admin.skuapply.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 商品sku申请新增/修改 Request VO")
@Data
public class SkuApplySaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "8231")
    private Long id;

    @Schema(description = "spu编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "9866")
    @NotNull(message = "spu编号不能为空")
    private Long spuApplyId;

    @Schema(description = "属性数组，JSON 格式 [{propertId: , valueId: }, {propertId: , valueId: }]")
    private String properties;

    @Schema(description = "商品价格，单位：分", example = "24705")
    private Integer price;

    @Schema(description = "推广费, 单位: 分")
    private Integer promotionFee;

    @Schema(description = "备注")
    private String mark;

    @Schema(description = "市场价，单位：分", example = "24117")
    private Integer marketPrice;

    @Schema(description = "成本价，单位： 分", example = "21015")
    private Integer costPrice;

    @Schema(description = "SKU 的条形码")
    private String barCode;

    @Schema(description = "图片地址", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.zhongxing.cn")
    @NotEmpty(message = "图片地址不能为空")
    private String picUrl;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "商品重量，单位：kg 千克")
    private Double weight;

    @Schema(description = "商品体积，单位：m^3 平米")
    private Double volume;

    @Schema(description = "一级分销的佣金，单位：分", example = "7462")
    private Integer firstBrokeragePrice;

    @Schema(description = "二级分销的佣金，单位：分", example = "32532")
    private Integer secondBrokeragePrice;

    @Schema(description = "商品销量", example = "7812")
    private Integer salesCount;

    @Schema(description = "店铺id", example = "25567")
    private Long shopId;

    @Schema(description = "商户id", example = "9994")
    private Long merchantId;

    @Schema(description = "高精度价格", example = "15815")
    private BigDecimal highPrecisionPrice;

    @Schema(description = "结算价，单位： 分", example = "21066")
    private Integer settlementPrice;

    @Schema(description = "高精度结算价", example = "1872")
    private BigDecimal highPrecisionSettlementPrice;

}