package cn.newfeifan.mall.module.product.controller.admin.spuapplylog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 商品审核记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SpuApplyLogRespVO {

    @Schema(description = "spu审核记录id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3825")
    @ExcelProperty("spu审核记录id")
    private Long id;

    @Schema(description = "申请状态  0:申请中 1:通过 2:未通过", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("申请状态  0:申请中 1:通过 2:未通过")
    private Integer status;

    @Schema(description = "商品申请id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1516")
    @ExcelProperty("商品申请id")
    private Long productSpuApplyId;

    @Schema(description = "审核系统用户id", example = "28003")
    @ExcelProperty("审核系统用户id")
    private Long checkSystemUserId;

    @Schema(description = "审核意见")
    @ExcelProperty("审核意见")
    private String checkComment;

    @Schema(description = "修改的json对象")
    @ExcelProperty("修改的json对象")
    private String changeJsonObject;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}