package cn.newfeifan.mall.module.product.service.spuapplylog;

import javax.validation.*;
import cn.newfeifan.mall.module.product.controller.admin.spuapplylog.vo.*;
import cn.newfeifan.mall.module.product.dal.dataobject.spuapplylog.SpuApplyLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 商品审核记录 Service 接口
 *
 * @author 非繁人
 */
public interface SpuApplyLogService {

    /**
     * 创建商品审核记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSpuApplyLog(@Valid SpuApplyLogSaveReqVO createReqVO);

    /**
     * 更新商品审核记录
     *
     * @param updateReqVO 更新信息
     */
    void updateSpuApplyLog(@Valid SpuApplyLogSaveReqVO updateReqVO);

    /**
     * 删除商品审核记录
     *
     * @param id 编号
     */
    void deleteSpuApplyLog(Long id);

    /**
     * 获得商品审核记录
     *
     * @param id 编号
     * @return 商品审核记录
     */
    SpuApplyLogDO getSpuApplyLog(Long id);

    /**
     * 获得商品审核记录分页
     *
     * @param pageReqVO 分页查询
     * @return 商品审核记录分页
     */
    PageResult<SpuApplyLogDO> getSpuApplyLogPage(SpuApplyLogPageReqVO pageReqVO);

}